#ifndef IMAGEMANAGER_H
#define IMAGEMANAGER_H

#include <QObject>
#include <QImage>
#include <QVariant>
#include <QList>

#include <memory>

#include <videomanger.h>

class QVariant;
class QImage;


class ImageManager : public QObject
{
    Q_OBJECT

public:
    explicit ImageManager(QObject *parent = nullptr);

    Q_INVOKABLE void append(QVariant image);
    Q_INVOKABLE void saveAll() const;
    Q_INVOKABLE void createVideo() const;

private:

    std::unique_ptr<QList<QImage>> screens;
    std::unique_ptr<VideoManger> vManager;
    int imagesCount;
    QString imagesFolder;


signals:
    void imagesSaved();

private slots:
    void onVideoSaved();

};

#endif // IMAGEMANAGER_H
