#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QQuickWindow>
#include <QQmlContext>

#include <memory>

#include "imagemanager.h"
#include "videomanger.h"

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);

    QGuiApplication app(argc, argv);

    QQmlApplicationEngine engine;
    std::unique_ptr<ImageManager> imageManager(new ImageManager);
    std::unique_ptr<VideoManger> videoManager(new VideoManger);
    engine.rootContext()->setContextProperty("imageManager", imageManager.get());
        engine.rootContext()->setContextProperty("videoManager", videoManager.get());
    const QUrl url(QStringLiteral("qrc:/main.qml"));
    QObject::connect(&engine, &QQmlApplicationEngine::objectCreated,
                     &app, [url](QObject *obj, const QUrl &objUrl) {
        if (!obj && url == objUrl)
            QCoreApplication::exit(-1);
    }, Qt::QueuedConnection);
    engine.load(url);

    int result = app.exec();
    return result;
}
