#ifndef VIDEOMANGER_H
#define VIDEOMANGER_H

#include <QObject>

#include <sstream>
#include "opencv2/opencv.hpp"

class VideoManger : public QObject
{
    Q_OBJECT

public:
    explicit VideoManger(QObject *parent = nullptr);

    Q_INVOKABLE bool makeVideo(/*QList<QImage> *frames, */QString outputName, int count);

private:

    cv::Mat QImageToCvMat(QImage frame, int format);

    cv::Mat frame;
    cv::Size frameSize;

    cv::VideoWriter videoWriter;

    int framesPerSecound;


signals:
    void videoSaved();

};

#endif // VIDEOMANGER_H
